Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
ChargebeeAPI

Remove scheduled changes

Idempotency Supported

Removes a scheduled change from a subscription.

Review the changes before removing them

To review the scheduled subscription change before removing it, call Retrieve with scheduled changes before calling this API to retrieve the subscription resource with the scheduled change applied.

Prerequisites & Constraints

  • The subscription's has_scheduled_changes attribute is true.
  • The subscription has exactly one scheduled change. If multiple ramps exist, the API returns an error.

Impacts

Subscription

  • Removes the scheduled change.
  • Clears changes_scheduled_at, if set.
  • Sets has_scheduled_changes to false.

Invoices

Credit Notes

  • Creates the following credit notes against any advance invoices that account for the scheduled change:
    • adjustment: for amount_to_collect on the advance invoice.
    • refundable: for the refundable amount on the advance invoice.

Implementation Notes

Before you call this API, confirm the following:

  • The subscription's has_scheduled_changes attribute is true.
  • Exactly one scheduled change exists. To verify, call List ramps and filter by subscription_id. The response must include exactly one ramp object.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/remove_scheduled_changes

Returns

Subscription object
Resource object representing subscription
Customer object
Resource object representing customer
Card object
Resource object representing card
optional
Resource object representing credit_note